View Issue Details

IDProjectCategoryView StatusLast Update
0011552mantisbtbugtrackerpublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.0 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011552: No errors shown when actiongroup tag attaching fails
Description

When attacking tags to multiple issues via the action group feature (the dropdown in the bottom left of the view all issues page), errors are silently ignored. The user should instead be informed if any of the tags could not be applied to the issues selected.

TagsNo tags attached.

Relationships

related to 0011527 closeddhx tag_attach_threshold not checked when adding many tags via bug_actiongroup 
related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036512

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 2191aa1b

2010-02-25 14:55:01

dhx

Details Diff
Fix 0011552: No errors shown when actiongroup tag attaching fails

When attacking tags to multiple issues via the action group feature (the
dropdown in the bottom left of the view all issues page), errors are
silently ignored. The user should instead be informed if any of the tags
could not be applied to the issues selected.

This patch also changes the return status from the actiongroup
validation and processing functions to be an error string or null in the
event that an error didn't occur. In the future it'd be much better if
the validation and processing functions worked on the entire set of
selected issues instead of each issue one-by-one. This gives the
actiongroup validation/processing functions more flexibility (especially
in the case of the tag attaching action).
mod - lang/strings_english.txt Diff File
mod - bug_actiongroup_attach_tags_inc.php Diff File
mod - bug_actiongroup_update_product_build_inc.php Diff File
mod - bug_actiongroup_add_note_inc.php Diff File
mod - bug_actiongroup_ext.php Diff File
mod - bug_actiongroup_update_severity_inc.php Diff File

Issue History

Date Modified Username Field Change
2010-02-24 22:58 dhx New Issue
2010-02-24 22:58 dhx Status new => assigned
2010-02-24 22:58 dhx Assigned To => dhx
2010-02-24 22:59 dhx Relationship added related to 0011527
2010-02-24 23:08 dhx Target Version 1.2.2 => 1.3.0-beta.1
2010-02-24 23:09 dhx Status assigned => resolved
2010-02-24 23:09 dhx Fixed in Version => 1.3.0-beta.1
2010-02-24 23:09 dhx Resolution open => fixed
2010-02-24 23:10 dhx Changeset attached master 2191aa1b =>
2010-06-09 03:44 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036512
2013-04-05 18:03 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed